Build Errors (LDAP_OPT_X... undeclared)

Michael Ströder michael at
Fri Sep 14 13:49:29 CEST 2007

Torsten Kurbad wrote:
> I had similar problems when building python-ldap on Mac OSX, where
> openldap 2.2.x is installed by default. Simply "stealing" the 2.3
> headers from a Linux system did the trick there.

This workaround is very bad practice. You MUST NOT mix headers and libs
from different OpenLDAP versions. This can lead to serious crashs.
Please don't ask for support if you're doing something like this.

Ciao, Michael.

More information about the python-ldap mailing list